Create payin

Creates a new payin in the system. A payin represents a payment made to a merchant. Returns the newly created payin details including its unique identifier and status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The identifier of the merchant that this payin will be associated with. This merchant must already exist in the system.

string
required

The payment amount, which can be specified in two ways:

  • For fiat currency (amountType = "fiat"): Amount in cents (e.g. $49.99 = 4999 cents)
  • For tokens (amountType = "token"): Amount including decimal places (e.g. 1 USDC = 1000000 since USDC has 6 decimal places)
string
enum
required

Specifies how to interpret the amount value:

  • "fiat": Amount is in fiat currency cents (e.g. 4999 = $49.99)
  • "token": Amount includes token decimal places (e.g. 1000000 = 1 USDC with 6 decimals)
Allowed:
int32
required
≥ 0

The date the payment should take place, represented as a Unix timestamp. To bill the payin immediately, set the value to 0

string

(Optional) The payout destination the funds will be sent to for this payin. If not provided, the merchant's default payout destination will be used.

string

The ID of the customer to charge for this payin. When provided, the customer's default payment method will be used to process the payment.

Note: Either this or paymentMethodId must be provided. If both are provided, the paymentMethodId takes precedence.

Note: This is not the customerRefId from the customer object, it is the customerId

string

The ID of the customer's payment method to use for this payin.

Note: Either this or customerId must be provided. If both are provided, the paymentMethodId takes precedence.

string

(Optional) An external subscription reference ID used to tie this payin to a subscription in an external system.

string

(Optional) An invoice reference ID used to tie this payin to an invoice in an external system.

string
length ≤ 500

(Optional) A description or note that provides additional detail about this payin. This can be used to help identify or provide details about the payment for internal reference or customer communications.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json